Debian Bug report logs - #699922
Please update with the new Python implementation

version graph

Package: obfsproxy; Maintainer for obfsproxy is Jérémy Bobbio <lunar@debian.org>; Source for obfsproxy is src:obfsproxy.

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Wed, 6 Feb 2013 19:51:01 UTC

Owned by: Jérémy Bobbio <lunar@debian.org>

Severity: wishlist

Fixed in version obfsproxy/0.2.1-1

Done: Jérémy Bobbio <lunar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Jérémy Bobbio <lunar@debian.org>:
Bug#699922; Package wnpp. (Wed, 06 Feb 2013 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Jérémy Bobbio <lunar@debian.org>. (Wed, 06 Feb 2013 19:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pyobfsproxy -- pluggable transport proxy for Tor (Python implementation)
Date: Wed, 6 Feb 2013 20:40:06 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Jérémy Bobbio <lunar@debian.org>

* Package name    : pyobfsproxy
  Version         : 0.1
  Upstream Author : George Kadianakis <desnacked@riseup.net>
* URL             : https://git.torproject.org/pluggable-transports/pyobfsproxy.git
* License         : BSD-3-clause
  Programming Lang: Python
  Description     : pluggable transport proxy for Tor (Python implementation)

pyobfsproxy is a tool that attempts to circumvent censorship by transforming
the Tor traffic between the client and the bridge. This way censors, who
usually monitor traffic between the client and the bridge, will see
innocent-looking transformed traffic instead of the actual Tor traffic.

It is written in Python and is compliant with the Tor pluggable transports
specification.

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 20 Feb 2013 19:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699922; Package wnpp. (Thu, 28 Mar 2013 11:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Mar 2013 11:03:04 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#699922: ITP: pyobfsproxy -- pluggable transport proxy for Tor (Python implementation)
Date: Thu, 28 Mar 2013 11:59:46 +0100
[Message part 1 (text/plain, inline)]
reassign 699922 obfsproxy
retitle 699922 Please update with the new Python implementation
thanks

> pyobfsproxy is a tool that attempts to circumvent censorship by transforming
> the Tor traffic between the client and the bridge. This way censors, who
> usually monitor traffic between the client and the bridge, will see
> innocent-looking transformed traffic instead of the actual Tor traffic.
> 
> It is written in Python and is compliant with the Tor pluggable transports
> specification.

Upstream has decided to supersede the C implementation of "obfsproxy"
with the Python one. The latter is going to keep the name "obfsproxy"
and so we can also keep the same source and binary package names.

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'obfsproxy'. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 11:03:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'Please update with the new Python implementation' from 'ITP: pyobfsproxy -- pluggable transport proxy for Tor (Python implementation)' Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 11:03:12 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Bobbio <lunar@debian.org>:
You have taken responsibility. (Mon, 08 Apr 2013 21:09:12 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Mon, 08 Apr 2013 21:09:12 GMT) Full text and rfc822 format available.

Message #21 received at 699922-close@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 699922-close@bugs.debian.org
Subject: Bug#699922: fixed in obfsproxy 0.2.1-1
Date: Mon, 08 Apr 2013 21:04:39 +0000
Source: obfsproxy
Source-Version: 0.2.1-1

We believe that the bug you reported is fixed in the latest version of
obfsproxy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699922@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Bobbio <lunar@debian.org> (supplier of updated obfsproxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 08 Apr 2013 19:59:49 +0000
Source: obfsproxy
Binary: obfsproxy
Architecture: source all
Version: 0.2.1-1
Distribution: experimental
Urgency: low
Maintainer: Jérémy Bobbio <lunar@debian.org>
Changed-By: Jérémy Bobbio <lunar@debian.org>
Description: 
 obfsproxy  - pluggable transport proxy for Tor
Closes: 699922
Changes: 
 obfsproxy (0.2.1-1) experimental; urgency=low
 .
   * New upstream release:
     - switch to the new Python implementation. (Closes: #699922)
   * Take over the package with weasel's approval for the new Python
     implementation.
   * Add NEWS file to tell users about the new 'obfs3' protocol.
Checksums-Sha1: 
 84dc973fb5b43de9fc8e96ed52fb9030a8c14b08 1906 obfsproxy_0.2.1-1.dsc
 3b45d767568daaa446f7f20035cb5d3c72481494 58987 obfsproxy_0.2.1.orig.tar.gz
 4282937735cacab3732db7f996254d15f18ed344 5502 obfsproxy_0.2.1-1.debian.tar.gz
 1cc5fe362f17f75722415f0be6bfe149c6f09676 38392 obfsproxy_0.2.1-1_all.deb
Checksums-Sha256: 
 410b1669cd134fb46b25a46a85573623b0b38ca348bf1c12e12a9c8325d73b41 1906 obfsproxy_0.2.1-1.dsc
 6e5685e635ab853963db5e02000e13234b4d829d2b89c2c6a404a909b253b3f3 58987 obfsproxy_0.2.1.orig.tar.gz
 c9ac3bcee5e766dd1dc88acde4a6612cbb15d0057f429bf74851842f4d021c17 5502 obfsproxy_0.2.1-1.debian.tar.gz
 daebf26cd7a424aa82b1c7100f21cd9e0890ec9cb4e267766c7fa4803475cbb0 38392 obfsproxy_0.2.1-1_all.deb
Files: 
 761d32833d018ee368d5032f26b5d2cc 1906 python extra obfsproxy_0.2.1-1.dsc
 b9e39afaf8976673f1d6d81245e5b993 58987 python extra obfsproxy_0.2.1.orig.tar.gz
 caca04a8ba15470e8ca37ce4050e172f 5502 python extra obfsproxy_0.2.1-1.debian.tar.gz
 6f6569b5c849e0114154db0366479300 38392 python extra obfsproxy_0.2.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRYySeAAoJEEgU3sIrMHw8e0IP/1zhYqHkcqqd9m1tPFSDUVoO
A+1lHZRm8y0in6GbJeViHUfHXUda32fmYVTjqzn0SLoZU6ydZcfXXIGSY+xtEjHw
fqIisoSfAlwrz52e9FaXjNskuNw5kXNaBYdxORjKUn2R+/GXibthnBz19Gftgqvp
CeIN3BnMFSkJrGYSqGPh31NPgxKfl5HfBWvk4aVRcWOXf/lR1tAG0s698bHuta+f
f5of6AlI5QTXoKio3q95xeYQstRVVAsX8tj8kqleBSBfqj1YDB5dxLXLzlwWiuem
DCrLFDF+XKNwJhibZzcNJwan4HI6PJX3Ktl54vEyHiL+Hdv3N3t09IbMNFijiMWp
5BGZcL82YXi9016x0FRFwiaZ1t90SJw/GoXHcqgckuuvD+N/0ghbM0LrJogxE0fR
T0AhYt8B8E5tml0JbyAbRN008XmzBv31Dv3xgkI1eFXcYdWahVY6OUQxS85zX6/w
hACgK74sLhAQMJHL8GqxlmHbLzrka5xscfhi4WheUCIBEdwZMunupcHO+5BM/C8m
ZDKLoVsv+M4Zvy+ekuIOR1MhmxOET3yUVoObwRthr3L56L/NMl0phvn0+y+wrLzU
lTBkgeD2K/NAKUQ7NTe8CUwQC1waiKp/DAv4z4rO4kAz2o7OfrQjVJd+rfXQsKKR
nh1wKvxfdrm5yDj6GlTD
=2Fu9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Jun 2013 07:29:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:06:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.